> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Starts processing of the files in new transaction

> Creates a transaction that will be used to process some files.
The maximum size of request body should not exceed 2 GB.
The transaction will start automatically.



## OpenAPI

````yaml /openapi.json post /api/publicapi/v1/transactions/launch
openapi: 3.0.4
info:
  title: Vantage processing REST API
  description: 'Environment: Production<br>Product Version: 1.6.17'
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - url: https://vantage-us.abbyy.com
    description: Production United States
  - url: https://vantage-eu.abbyy.com
    description: Production Europe
  - url: https://vantage-au.abbyy.com
    description: Production Australia
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/transactions/launch:
    post:
      tags:
        - Transactions
      summary: Starts processing of the files in new transaction
      description: |-
        Creates a transaction that will be used to process some files.
        The maximum size of request body should not exceed 2 GB.
        The transaction will start automatically.
      operationId: LaunchTransaction
      parameters:
        - name: skillId
          in: query
          schema:
            type: string
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                Model:
                  type: object
                  properties:
                    files:
                      type: array
                      items:
                        $ref: >-
                          #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionFileMetadataDto
                      description: Files processing parameters
                      nullable: true
                    registrationParameters:
                      maxItems: 10
                      type: array
                      items:
                        $ref: >-
                          #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionRegistrationParameter
                      description: Additional registration parameters for transaction
                      nullable: true
                    skillParameters:
                      maxItems: 10
                      type: array
                      items:
                        $ref: >-
                          #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionSkillParameter
                      description: Skill parameters for transaction
                      nullable: true
                  additionalProperties: false
                  description: >-
                    Additional transaction processing parameters. See
                    TransactionLaunchMetadataDto model.
                Files:
                  type: array
                  items:
                    type: string
                    description: Model for getting file passed in multipart/* content
                    format: binary
            encoding:
              Model:
                contentType: application/json
                style: form
                explode: true
              Files:
                contentType: application/octet-stream
                style: form
                explode: true
      responses:
        '201':
          description: Transaction successfully created and started
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.CreatedTransactionResult
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.CreatedTransactionResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.CreatedTransactionResult
        '400':
          description: Some files are invalid or skillId is not specified
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
        '404':
          description: Skill with specified skillId not found or not published
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionFileMetadataDto:
      type: object
      properties:
        index:
          type: string
          description: Documents in transaction will be ordered by this parameter
          nullable: true
        imageProcessingOptions:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.ImageProcessingOptions
        registrationParameters:
          maxItems: 10
          type: array
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionFileRegistrationParameter
          description: >-
            Additional file registration parameters. Predefined parameters:
                        
            SourceType: Where the file came from, usually the connector name
            (scanning station);
                        
            SourceDetails: How the file was received;
                        
            SourceFileName: The name of the file being added (invoice.jfif)
                        
            SourceFilePath: The path to the file
                        
            SourceArchiveName: The name of the archive containing the file being
            added
                        
            SourceFolderName: The name of the subfolder which containing the
            file being added
          nullable: true
      additionalProperties: false
      description: Additional file processing parameters
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionRegistrationParameter:
      required:
        - key
        - value
      type: object
      properties:
        key:
          minLength: 1
          type: string
          description: Key (name) of the parameter
        value:
          minLength: 1
          type: string
          description: Value of the parameter
      additionalProperties: false
      description: Transaction registration parameter
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionSkillParameter:
      required:
        - key
        - value
      type: object
      properties:
        key:
          minLength: 1
          type: string
          description: Key (name) of the parameter
        value:
          minLength: 1
          type: string
          description: Value of the parameter
      additionalProperties: false
      description: Skill parameter for transaction
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.CreatedTransactionResult:
      required:
        - transactionId
      type: object
      properties:
        transactionId:
          type: string
          format: uuid
      additionalProperties: false
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.ImageProcessingOptions:
      type: object
      properties:
        autoCrop:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.PreprocessingOperationSwitcher
        autoOrientation:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.PreprocessingOperationSwitcher
      additionalProperties: false
      description: Image preprocessing settings for import
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionFileRegistrationParameter:
      required:
        - key
        - value
      type: object
      properties:
        key:
          minLength: 1
          type: string
          description: Key (name) of the parameter
        value:
          minLength: 1
          type: string
          description: Value of the parameter
      additionalProperties: false
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.PreprocessingOperationSwitcher:
      enum:
        - Default
        - 'Yes'
        - 'No'
      type: string
      description: Switcher of image preprocessing operations
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions

````